Module ij
Package ij.plugin

# Class JpegWriter

java.lang.Object
ij.plugin.JpegWriter

All Implemented Interfaces:
  `PlugIn`

public class JpegWriter extends Object implements PlugIn
The File/Save As/Jpeg command (FileSaver.saveAsJpeg() method) uses this plugin to save images in JPEG format.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_QUALITY`

## Constructor Summary

Constructors
Constructor
Description
`JpegWriter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`disableChromaSubsampling(boolean disable)`
`static void`
`enhanceQuality(boolean enhance)`
Enhance quality of JPEGs by disabing chroma subsampling.
`static int`
`getQuality()`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`static String`
`save(ImagePlus imp, String path, int quality)`
Thread-safe method.
`static void`
`setQuality(int jpegQuality)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_QUALITY

public static final int DEFAULT_QUALITY

See Also:
  - Constant Field Values

## Constructor Details

### JpegWriter

public JpegWriter()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### save

public static String save(ImagePlus imp, String path, int quality)
Thread-safe method.

### setQuality

public static void setQuality(int jpegQuality)

### getQuality

public static int getQuality()

### enhanceQuality

public static void enhanceQuality(boolean enhance)
Enhance quality of JPEGs by disabing chroma subsampling. By default, enhanced quality is automatically used when the Quality setting is 90 or greater.

### disableChromaSubsampling

public static void disableChromaSubsampling(boolean disable)